Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354629 - Scheduled reports are emailing ever few seconds rather then just 1
Summary: Scheduled reports are emailing ever few seconds rather then just 1
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.5.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: GA
: 5.7.0
Assignee: Joe Rafaniello
QA Contact: Jiri Stefanisin
URL:
Whiteboard:
Depends On:
Blocks: 1360330 1360332
TreeView+ depends on / blocked
 
Reported: 2016-07-11 19:27 UTC by Colin Arnott
Modified: 2017-03-17 08:09 UTC (History)
8 users (show)

Fixed In Version: 5.7.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1360330 1360332 (view as bug list)
Environment:
Last Closed: 2017-01-11 20:19:33 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Colin Arnott 2016-07-11 19:27:16 UTC
Description of problem:
When my monthly scheduled report is set to run, it should email that report once, but instead it appears to get stuck in a loop and emails the report sixty times.

Version-Release number of selected component (if applicable):
cfme-5.6.0.13-1.el7cf.x86_64

How reproducible:
trivial

Steps to Reproduce:
1. add a monthly schedule (any number of months as the interval) to a report
2. wait for it to trigger

Actual results:
get 60 reports generated

Expected results:
have the report run once

Comment 5 Joe Rafaniello 2016-08-01 14:10:25 UTC
https://github.com/ManageIQ/manageiq/pull/10129

New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/85c117362f898d357d7a02377e9f82f4a17f3a61

commit 85c117362f898d357d7a02377e9f82f4a17f3a61
Author:     d-m-u <duhlmann@redhat.com>
AuthorDate: Thu Jul 28 17:29:19 2016 -0400
Commit:     d-m-u <duhlmann@redhat.com>
CommitDate: Thu Jul 28 17:29:19 2016 -0400

    Avoid issue with Rufus caching time within options
    
    Rufus scheduler 3.0.8+ started modifying the input options hash at
    jmettraux/rufus-scheduler@c074a59
    
    This commit allows schedules to parse the time using Chronic.
    Unfortunately, for speed, they cache the result of the first parse in the
    input options hash, causing us to schedule the same time many times!
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1360332

 app/models/miq_schedule_worker/runner.rb       | 4 ++--
 spec/models/miq_schedule_worker/runner_spec.rb | 3 +++
 2 files changed, 5 insertions(+), 2 deletions(-)

Comment 6 Jiri Stefanisin 2016-09-20 09:55:40 UTC
Verified on 5.7.0.0.20160906172503_12f65cb.


Note You need to log in before you can comment on or make changes to this bug.